# CUTLASS: cutlass::NumericArrayConverter< half_t, float, 2, FloatRoundStyle::round_to_nearest > Struct Template Reference

cutlass::NumericArrayConverter< half_t, float, 2, FloatRoundStyle::round_to_nearest > Struct Template Reference

Partial specialization for Array<half, 2> <= Array<float, 2>, round to nearest.

`#include <numeric_conversion.h>`

## Public Types

using | result_type = Array< half_t, 2 >
using | source_type = Array< float, 2 >

## Public Member Functions

CUTLASS_HOST_DEVICE result_type | operator() (source_type const &s)

## Static Public Member Functions

static CUTLASS_HOST_DEVICE result_type | convert (source_type const &source)

## Static Public Attributes

static FloatRoundStyle const | round_style = FloatRoundStyle::round_to_nearest

## Member Typedef Documentation

using cutlass::NumericArrayConverter< half_t, float, 2, FloatRoundStyle::round_to_nearest >::result_type = Array<half_t, 2>

using cutlass::NumericArrayConverter< half_t, float, 2, FloatRoundStyle::round_to_nearest >::source_type = Array<float, 2>

## Member Function Documentation

static CUTLASS_HOST_DEVICE result_type cutlass::NumericArrayConverter< half_t, float, 2, FloatRoundStyle::round_to_nearest >::convert | ( | source_type const & | source | ) |

inlinestatic

CUTLASS_HOST_DEVICE result_type cutlass::NumericArrayConverter< half_t, float, 2, FloatRoundStyle::round_to_nearest >::operator() | ( | source_type const & | s | ) |

inline

## Member Data Documentation

FloatRoundStyle const cutlass::NumericArrayConverter< half_t, float, 2, FloatRoundStyle::round_to_nearest >::round_style = FloatRoundStyle::round_to_nearest

static

The documentation for this struct was generated from the following file:

- numeric_conversion.h